package pe.gob.munichupaca.apiservice.consult_mch.domain.services;

import pe.gob.munichupaca.apiservice.consult_mch.domain.models.entity.AuthorizedVehicle;
import pe.gob.munichupaca.apiservice.consult_mch.infrastructure.dto.request.AuthorizedVehicleRequest;

import java.util.List;
import java.util.Optional;

public interface AuthorizedVehicleService {
    Long createAuthorizedVehicle(AuthorizedVehicleRequest authorizedVehicleRequest);
    boolean createUpload(List<AuthorizedVehicle> authorizedVehicleRequests);
    Optional<AuthorizedVehicle> getAuthorizedVehicleById(Long id);
    AuthorizedVehicle updateAuthorizedVehicle(Long id, AuthorizedVehicleRequest authorizedVehicleRequest);
    void deleteAuthorizedVehicle(Long id);
    List<String> getAllLicensePlates();
    Optional<AuthorizedVehicle> getAuthorizedVehicleByLicensePlate(String plate);
    boolean checkByLicensePlate(String licensePlate);
}
